unit Choixspe;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Spin, sysUtils, cfgSpect, oomisc, jmmutil;

type
  TChoixSpectroDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Comports: TRadioGroup;
    JenwayRG: TRadioGroup;
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    numero : array[0..MaxComHandles] of byte;
  public
  end;

var
  ChoixSpectroDlg: TChoixSpectroDlg;

implementation

{$R *.DFM}

procedure TChoixSpectroDlg.FormActivate(Sender: TObject);
var i : integer;
begin
    Comports.Items.Clear;
    for i := 1 to MaxComHandles do
        if IsPortAvailable(i) then begin
           Comports.Items.Add('COM'+intToStr(i));
           Numero[Comports.Items.count-1] := i;
           if spectro.ComNumberS=i
              then Comports.ItemIndex := Comports.Items.count-1
        end;
    if Comports.ItemIndex=-1 then Comports.ItemIndex := 0;
    jenwayRG.itemIndex := ord(spectro.jenway);
end;

procedure TChoixSpectroDlg.OKBtnClick(Sender: TObject);
begin
     spectro.ComNumberS := Numero[Comports.ItemIndex];
     spectro.jenway := Tjenway(jenwayRG.itemIndex);
end;

end.
