unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
     Buttons, SysUtils, ExtCtrls, shellApi, dialogs;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    ProgramIcon: TImage;
    TraceLabel: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
  public
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.FormActivate(Sender: TObject);
begin
{$IFDEF Debug}
   TraceLabel.visible := true;
{$ELSE}
   TraceLabel.visible := false;
{$ENDIF}
end;

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourJenway.html';
begin
  if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
     ShowMessage('Impossible d''accder  '+Filename)
end;

end.

